Subject: Re: linux-next: manual merge of the lost-spurious-irq tree with the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 5 Oct 2010 14:20:17 +1100

Hi Tejun,

On Tue, 5 Oct 2010 14:13:34 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the lost-spurious-irq tree got a conflict in
> kernel/irq/spurious.c between commits
> 6b8ff3120c758340505dddf08ad685ebb841d5d5 ("genirq: Convert core code to
> irq_data") and bd151412263a67b5321e9dd1d5b4bf6d96fdebf3 ("genirq: Provide
> config option to disable deprecated code") from the tip tree and commits
> 32b5d378f49485f3ae172eb0ac2bfc4ebbbdb060 ("irq: cleanup irqfixup") and
> 80f97e2b33c3e66c11b10abd2890506a3abeb320 ("irq: make spurious poll timer
> per desc") from the lost-spurious-irq tree.
> 
> I think I fixed it all up (see below).  I can carry this fix (or a better
> one) as necessary.

I then had to apply the following merge fix patch:

From: Stephen Rothwell <[email-masked]>
Date: Tue, 5 Oct 2010 14:14:11 +1100
Subject: [PATCH] irq: fix for bus_lock API change

Due to commit 3876ec9ef3775d062345b3760d3271ecb8cd3fea ("genirq: Provide
compat handling for bus_lock/bus_sync_unlock") from the tip tree.

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 kernel/irq/spurious.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/kernel/irq/spurious.c b/kernel/irq/spurious.c
index cfcd2e9..1f17127 100644
--- a/kernel/irq/spurious.c
+++ b/kernel/irq/spurious.c
@@ -878,7 +878,7 @@ void poll_irq(unsigned long arg)
 		return;
 
 	/* need to do locking dance for chip_bus_lock() to reenable IRQ */
-	chip_bus_lock(desc->irq_data.irq, desc);
+	chip_bus_lock(desc);
 	raw_spin_lock_irq(&desc->lock);
 
 	/* make sure we haven't raced with anyone inbetween */
@@ -890,7 +890,7 @@ void poll_irq(unsigned long arg)
 	}
 
 	raw_spin_unlock_irq(&desc->lock);
-	chip_bus_sync_unlock(desc->irq_data.irq, desc);
+	chip_bus_sync_unlock(desc);
 }
 
 void irq_poll_action_added(struct irq_desc *desc, struct irqaction *action)
-- 
1.7.1

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/